"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class AcmgEvidenceWeight(object):
    """
    Each ACMG criterion is weighted using the following terms:  *
    `stand_alone`: `A`, stand-alone applied for benign variant
    critieria `(BA1)` * `supporting`: `P`, supporting applied for
    benign variant critieria `(BP1-6)` and pathogenic variant criteria
    `(PP1-5)` * `moderate`: `M`, moderate applied for pathogenic
    variant critieria (PM1-6) * `strong`: `S`, strong applied for
    pathogenic variant critieria (PS1-4) * `very_strong`: `S`, Very
    Stong applied for pathogenic variant critieria (PVS1)
    """

    stand_alone = "stand_alone"
    supporting = "supporting"
    moderate = "moderate"
    strong = "strong"
    very_strong = "very_strong"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "6.3.0"
